VRENDER_GET_EYE_INFO(3)

FUNCTION
vrender_get_eye_info - Get eye information.

SYNOPSIS
#include <karma_vrender.h>

void vrender_get_eye_info

(KVolumeRenderContext context, unsigned int eye_view, Kcoord_3d *ras_centre, Kcoord_3d *direction, Kcoord_3d *horizontal)

DESCRIPTION
Get eye information.

context
    The volume render context which determines the view information.

eye_view
    The eye which will see the point. See <-vrender_EYES-> for a list of legal values.

ras_centre
    The centre of the raster plane is written here.

direction
    The direction towards infinity is written here.

horizontal
    The horizontal direction vector is written here.

RETURN VALUE
Nothing.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/